Get all the playlists of a project

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/projects/{project_id}/playlists/all

Get all the playlists of a project. Synchronization tools use this route. You must be an administrator.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

Query parameters

  • page integer

    Page to get. Without page, the response is the full list. With page, the response is an object with data, total, nb_pages, limit, offset and page.

Responses

  • 200 application/json

    The list of playlists

    Hide response attributes Show response attributes object
    • id string(uuid)

      Playlist unique identifier

    • name string

      Playlist name

    • project_id string(uuid)

      Project unique identifier

  • 400

    page is not an integer

  • 403

    You are not an administrator

  • 404

    The project does not exist

GET /data/projects/{project_id}/playlists/all
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/playlists/all" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/playlists/all"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "name": "Review Playlist",
    "project_id": "b35b7fb5-df86-5776-b181-68564193d360"
  }
]